VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Static Public Attributes | List of all members
IContextMenuTarget Class Referenceabstract

Context Menu Item Target interface: Vst::IContextMenuTarget. More...

`#include <ivstcontextmenu.h>`

Inheritance diagram for IContextMenuTarget:

## Public Member Functions
virtual tresult | executeMenuItem (int32 tag)=0
| Called when an menu item was executed.
Public Member Functions inherited from FUnknown
virtual tresult | queryInterface (const TUID _iid, void **obj)=0
virtual uint32 | addRef ()=0
virtual uint32 | release ()=0

## Static Public Attributes
static const FUID | iid
Static Public Attributes inherited from FUnknown
static const FUID | iid

## Detailed Description

Context Menu Item Target interface: Vst::IContextMenuTarget.

- [host imp]
- [plug imp]
- [released: 3.5.0]
- [optional]

A receiver of a menu item should implement this interface, which will be called after the user has selected this menu item.

See Also
  IComponentHandler3 for more information.

## Member Function Documentation

virtual tresult executeMenuItem | ( | int32 | tag | ) |
| pure virtual

Called when an menu item was executed.

## Member Data Documentation

const FUID iid
| static

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.